Bug 1791757 - argparse-manpage fails to build with Python 3.9
Summary: argparse-manpage fails to build with Python 3.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: argparse-manpage
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-16 12:35 UTC by Miro Hrončok
Modified: 2020-02-10 00:32 UTC (History)
3 users (show)

Fixed In Version: argparse-manpage-1.4-1.fc30 argparse-manpage-1.4-1.fc31 argparse-manpage-1.4-1.el8 argparse-manpage-1.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 01:02:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-16 12:35:12 UTC
argparse-manpage fails to build with Python 3.9.0a2.


=================================== FAILURES ===================================
__________________________ TestAllExapmles.test_copr ___________________________

self = <test_examples.TestAllExapmles object at 0x7fe1757637c0>

    def test_copr(self):
        with pushd('examples/copr'):
            name = 'copr-cli.1'
            prefix = '/usr'
            try:
                os.remove(name)
            except OSError:
                pass
            idir = os.path.join(os.getcwd(), 'i')
            run_setup_py(['install', '--root', idir, '--prefix', prefix])
>           file_cmp('i/usr/share/man/man1/' + name, 'expected-output.1')

unittests/test_examples.py:67: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

file1 = 'i/usr/share/man/man1/copr-cli.1', file2 = 'expected-output.1'

    def file_cmp(file1, file2):
        with open(file1, 'r') as f1:
            with open(file2, 'r') as f2:
                a1 = f1.readlines()
                a2 = f2.readlines()
                assert len(a1) == len(a2)
                first = True
                for left, right in zip(a1, a2):
                    if first:
                        left  = re.sub('[0-9]{4}\\\\-[0-9]{2}\\\\-[0-9]{2}', '!!DATE!!', left)
                        right = re.sub('[0-9]{4}\\\\-[0-9]{2}\\\\-[0-9]{2}', '!!DATE!!', right)
                        first = False
>                   assert left == right
E                   AssertionError: assert 'usage: copr ...RSION ...]]\n' == 'usage: copr b...SION ...]]]\n'
E                     Skipping 44 identical leading characters in diff, use -v to show
E                     -  [VERSION ...]]
E                     +  [VERSION [VERSION ...]]]
E                     ?           +++++++++     +

unittests/test_examples.py:43: AssertionError
----------------------------- Captured stdout call -----------------------------
running install
running build
running build_py
running build_manpages
generating copr-cli.1
creating build
creating build/lib
creating build/lib/copr_cli
copying copr_cli/util.py -> build/lib/copr_cli
copying copr_cli/main.py -> build/lib/copr_cli
copying copr_cli/build_config.py -> build/lib/copr_cli
copying copr_cli/__init__.py -> build/lib/copr_cli
running install_lib
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages
creating /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli
copying build/lib/copr_cli/__init__.py -> /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli
copying build/lib/copr_cli/build_config.py -> /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli
copying build/lib/copr_cli/main.py -> /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli
copying build/lib/copr_cli/util.py -> /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli
byte-compiling /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli/__init__.py to __init__.cpython-39.pyc
byte-compiling /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli/build_config.py to build_config.cpython-39.pyc
byte-compiling /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli/main.py to main.cpython-39.pyc
byte-compiling /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/copr_cli/util.py to util.cpython-39.pyc
running install_egg_info
running egg_info
creating example.egg-info
writing example.egg-info/PKG-INFO
writing dependency_links to example.egg-info/dependency_links.txt
writing top-level names to example.egg-info/top_level.txt
writing manifest file 'example.egg-info/SOURCES.txt'
reading manifest file 'example.egg-info/SOURCES.txt'
writing manifest file 'example.egg-info/SOURCES.txt'
Copying example.egg-info to /builddir/build/BUILD/argparse-manpage-1.3/examples/copr/i/usr/lib/python3.9/site-packages/example-0.1.0-py3.9.egg-info
running install_scripts
installing copr-cli.1
====================== 1 failed, 4 passed in 1.03 seconds ======================

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01148329-argparse-manpage/

For all our attempts to build argparse-manpage with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/argparse-manpage/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Update System 2020-01-24 18:30:28 UTC
FEDORA-EPEL-2020-1f3615270e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1f3615270e

Comment 2 Fedora Update System 2020-01-24 18:30:44 UTC
FEDORA-EPEL-2020-9da0158fda has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9da0158fda

Comment 3 Fedora Update System 2020-01-24 18:31:01 UTC
FEDORA-2020-145c04a75a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-145c04a75a

Comment 4 Fedora Update System 2020-01-24 18:31:13 UTC
FEDORA-2020-e281dc7579 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e281dc7579

Comment 5 Fedora Update System 2020-01-26 01:14:30 UTC
argparse-manpage-1.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9da0158fda

Comment 6 Fedora Update System 2020-01-26 01:15:09 UTC
argparse-manpage-1.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1f3615270e

Comment 7 Fedora Update System 2020-01-26 01:51:50 UTC
argparse-manpage-1.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-145c04a75a

Comment 8 Fedora Update System 2020-01-30 22:59:02 UTC
argparse-manpage-1.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e281dc7579

Comment 9 Fedora Update System 2020-02-03 01:02:35 UTC
argparse-manpage-1.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-07 01:50:24 UTC
argparse-manpage-1.4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-10 00:17:17 UTC
argparse-manpage-1.4-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-10 00:32:00 UTC
argparse-manpage-1.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.